On Sat, May 2, 2020 at 6:55 AM Siddharth Gupta <sidgup@xxxxxxxxxxxxxx> wrote:
Misuse of CONFIG_* in UAPI headers should result in an error as it exposes
configuration of different targets to userspace.
Signed-off-by: Siddharth Gupta <sidgup@xxxxxxxxxxxxxx>
---
scripts/headers_install.sh | 3 ++-
1 file changed, 2 insertions(+), 1 deletion(-)
diff --git a/scripts/headers_install.sh b/scripts/headers_install.sh
index a07668a..bd6c93a 100755
--- a/scripts/headers_install.sh
+++ b/scripts/headers_install.sh
@@ -109,7 +109,8 @@ do
done
if [ "$warn" = 1 ]; then
- echo "warning: $INFILE: leak $c to user-space" >&2
+ echo "error: $INFILE: leak $c to user-space" >&2
+ exit 1
fi
done
If you want to change this,
please update the comment at line 67.
Also, rename the variable $warn to
something else, $error or $leak_error, etc. ?